Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 233699 - NPE in terminal from rssowl
Summary: NPE in terminal from rssowl
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: rssowl
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Anthony Green
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-23 20:43 UTC by Andrew Overholt
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-22 14:59:29 UTC


Attachments (Terms of Use)

Description Andrew Overholt 2007-03-23 20:43:04 UTC
Exception in thread "Inner Feed Loader Thread" java.lang.NullPointerException
   at
org.apache.xerces.parsers.AbstractSAXParser$AttributesProxy.getValue(Unknown Source)
   at org.jdom.input.SAXHandler.startElement(jdom-1.0.jar.so)
   at org.apache.xerces.parsers.AbstractSAXParser.startElement(Unknown Source)
   at
org.apache.xerces.impl.XMLNSDocumentScannerImpl.scanStartElement(xerces-j2-2.7.1.jar.so)
   at
org.apache.xerces.impl.XMLNSDocumentScannerImpl$NSContentDispatcher.scanRootElementHook(xerces-j2-2.7.1.jar.so)
   at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl$FragmentContentDispatcher.dispatch(xerces-j2-2.7.1.jar.so)
   at
org.apache.xerces.impl.XMLDocumentFragmentScannerImpl.scanDocument(xerces-j2-2.7.1.jar.so)
   at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
   at org.apache.xerces.parsers.XML11Configuration.parse(Unknown Source)
   at org.apache.xerces.parsers.XMLParser.parse(Unknown Source)
   at org.apache.xerces.parsers.AbstractSAXParser.parse(Unknown Source)
   at org.jdom.input.SAXBuilder.build(jdom-1.0.jar.so)
   at org.jdom.input.SAXBuilder.build(jdom-1.0.jar.so)
   at net.sourceforge.rssowl.dao.NewsfeedFactory.initXmlDocument(rssowl.jar.so)
   at net.sourceforge.rssowl.dao.NewsfeedFactory.<init>(rssowl.jar.so)
   at net.sourceforge.rssowl.dao.NewsfeedFactory.<init>(rssowl.jar.so)
   at
net.sourceforge.rssowl.controller.thread.AggregationLoader$3.run(rssowl.jar.so)

This could be a bug somewhere other than RSSOwl, but I wanted to get reported. 
This occurred sometime during usage.

Comment 1 Anthony Green 2007-06-22 14:59:29 UTC
rssowl was just removed due to the loss of itext.  My understanding is that
rssowl2 doesn't depend on itext, and we intend to re-introduce rssowl2 when
rawhide gets a newer SWT.  I'm closing this bug for now.



Note You need to log in before you can comment on or make changes to this bug.